Summary: An easy to use, modeless text editor
Name: joe
Version: 4.6
Release:    1%{?dist}
License: GPL-2.0-or-later
URL: http://sourceforge.net/projects/joe-editor/
Source0: http://downloads.sourceforge.net/joe-editor/joe-%{version}.tar.gz

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Patch0: joe-3.7-joerc.patch
Patch1: joe-3.8-selinux.patch
Patch2: joe-3.8-time.patch
Patch4: joe-3.8-indent-ow.patch
Patch5: joe-3.8-aarch64.patch
Patch6: joe-3.8-format-security.patch
Patch7: joe-4.6-c99.patch

BuildRequires: gcc make
BuildRequires: ncurses-devel libselinux-devel

%description
Joe is a powerful, easy to use, modeless text editor.
It uses the same WordStar keybindings used in Borland's development
environment.

%prep
%setup -q
%patch0 -p1 -b .joerc
%patch1 -p1 -b .selinux
%patch2 -p1 -b .time
%patch4 -p1 -b .of
%patch5 -p1 -b .aarch64
%patch6 -p1 -b .format-security
%patch7 -p1 -b .c99

iconv -f koi8-r -t utf-8 ./man/ru/joe.1.in >./man/ru/joe.1.in.aux
touch -r ./man/ru/joe.1.in ./man/ru/joe.1.in.aux
mv ./man/ru/joe.1.in.aux ./man/ru/joe.1.in
iconv -f ISO_8859-1 -t UTF-8 ChangeLog > ChangeLog.tmp
touch -r ChangeLog ChangeLog.tmp
mv ChangeLog.tmp ChangeLog

%build
%configure --docdir=%{_pkgdocdir}
make  %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

install -c -m 644 joe/TODO setup.hint %{buildroot}%{_pkgdocdir}

pushd %{buildroot}/%{_mandir}/man1
ln -s joe.1 jmacs.1
ln -s joe.1 jpico.1
ln -s joe.1 jstar.1
ln -s joe.1 rjoe.1
popd

%files
%license COPYING
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/*
%{_bindir}/*
%dir /etc/joe
%config(noreplace) /etc/joe/*
%{_mandir}/man1/*
%{_mandir}/ru/man1/*
%{_datadir}/%{name}
%exclude %{_datadir}/applications/j*desktop

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6-1
- initial build
